JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ScrollBar::Listener Class Referenceabstract
juce_gui_basics » layout

A class for receiving events from a ScrollBar. More...

`#include <juce_ScrollBar.h>`

Inheritance diagram for ScrollBar::Listener:

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | scrollBarMoved (ScrollBar *scrollBarThatHasMoved, double newRangeStart)=0
| Called when a ScrollBar is moved.

## Detailed Description

A class for receiving events from a ScrollBar.

You can register a ScrollBar::Listener with a ScrollBar using the ScrollBar::addListener() method, and it will be called when the bar's position changes.

See also
  ScrollBar::addListener, ScrollBar::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual ScrollBar::Listener::~Listener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ scrollBarMoved()

virtual void ScrollBar::Listener::scrollBarMoved | ( | ScrollBar * | scrollBarThatHasMoved,
|  | double | newRangeStart )
| pure virtual

Called when a ScrollBar is moved.

Parameters

  scrollBarThatHasMoved | the bar that has moved
  newRangeStart | the new range start of this bar

Implemented in Viewport.

The documentation for this class was generated from the following file:

- juce_ScrollBar.h